% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/spicy.R
\name{getPairwise}
\alias{getPairwise}
\title{Get statistic from pairwise L curve of a single image.}
\usage{
getPairwise(
  cells,
  from = NULL,
  to = NULL,
  window = "convex",
  window.length = NULL,
  Rs = c(20, 50, 100),
  sigma = NULL,
  minLambda = 0.05,
  edgeCorrect = TRUE,
  includeZeroCells = TRUE,
  BPPARAM = BiocParallel::SerialParam(),
  imageID = "imageID",
  cellType = "cellType",
  spatialCoords = c("x", "y")
)
}
\arguments{
\item{cells}{A SegmentedCells or data frame that contains at least the
variables x and y, giving the location coordinates of each cell, and
cellType.}

\item{from}{The 'from' cellType for generating the L curve.}

\item{to}{The 'to' cellType for generating the L curve.}

\item{window}{Should the window around the regions be 'square', 'convex' or 'concave'.}

\item{window.length}{A tuning parameter for controlling the level of concavity
when estimating concave windows.}

\item{Rs}{A vector of the radii that the measures of association should be
calculated.}

\item{sigma}{A numeric variable used for scaling when fitting inhomogeneous L-curves.}

\item{minLambda}{Minimum value for density for scaling when fitting inhomogeneous
L-curves.}

\item{edgeCorrect}{A logical indicating whether to perform edge correction.}

\item{includeZeroCells}{A logical indicating whether to include cells with
zero counts in the pairwise association calculation.}

\item{BPPARAM}{A BiocParallelParam object.}

\item{imageID}{The imageID if using a SingleCellExperiment or SpatialExperiment.}

\item{cellType}{The cellType if using a SingleCellExperiment or SpatialExperiment.}

\item{spatialCoords}{The spatialCoords if using a SingleCellExperiment or SpatialExperiment.}
}
\value{
Statistic from pairwise L curve of a single image.
}
\description{
Get statistic from pairwise L curve of a single image.
}
\examples{
data("diabetesData")
pairAssoc <- getPairwise(diabetesData[1, ])
}
